%define	name	dark-oberon
%define	version	1.0.2
%define	pre	RC1
%define	release	0.rc1.1
%define	Summary	Dark Oberon

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Group:		Games/Strategy
Source0:	%{name}-%{version}-%{pre}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		dark-oberon-1.0.2-RC1-mdkconf.patch.bz2
Url:		http://dark-oberon.sourceforge.net/
Summary:	%{Summary}
License:	GPL
BuildRequires:	X11-devel glfw
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Dark Oberon is an open source real-time strategy game similar to Warcraft II
released under GPL. It has got awesome graphics - textures created from
shots of real models made out of plasticine!

%prep
%setup -q -n %{name}-%{version}-%{pre}
%patch0 -p1 -b .mdkconf
find -name CVS|xargs rm -rf
cd src
sh create_makefile.sh

%build
%make DEFINES="-DDATA_DIR='\"%{_gamesdatadir}/%{name}/\"' -DUNIX=1 -DSOUND=0 -DDEBUG=0" CPPFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 dark-oberon -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -r dat maps races schemes -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon="%{name}.png" \
		needs="x11" \
		section="More Applications/Games/Strategy" \
		title="Dark Oberon" \
		longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs/*
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-0.rc1.1mdk
- 1.0.2-RC1
- define datadir and get rid of broken wrapper script
- fix so that we don't use datadir for logs and config (P0)
- add icon
- add docs
- remove suckage

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-0.cvs20050810.1mdk
- initial release
